<?xml version="1.0" encoding="UTF-8"?>
<ClassComponent localName="PanoramicPanel"
	description="Содержит представления различных графических компонентов для панорамного отображения."
	fileName="PanoramicPanel.jar" className="org.mati.npc.faces.panoramic.panoramicpanel.PanoramicPanel"
	version="9399" time="17.02.2009 16:31:02">

	<Group>Умный дом</Group>

	<!-- INLINKS -->
	<INLink name="InFaceContainer" description="Обратная связь с компонентами"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="0" nullable="true" />
	<INLink name="InShowMe" description="Входящая связь для перехода к данной панели."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InPanoramicRoom" description="Входящая связь для комнаты."
		interfaceName="org.mati.npc.components.interfaces.panoramic.PanoramicPanel"
		linksNumber="1" nullable="true">
	</INLink>

	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>


	<!-- OUTLINKS -->
	<OUTLink name="OutFaceComponent" description="Связь с компонетом представления"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="0" nullable="true" />
	<!-- ATTRIBUTES -->
	<Attribute name="BackgroundBitmap"
		description="Относительный путь к растровой подложке для контейнера"
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="BackgroundBitmapOffsetX"
		description="Сдвиг по оси X растровой подложки на контейнере" type="java.lang.Integer"
		nullable="true">
	</Attribute>
	<Attribute name="BackgroundBitmapOffsetY"
		description="Сдвиг по оси Y растровой подложки на контейнере" type="java.lang.Integer"
		nullable="true">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина контейнера"
		type="java.lang.Integer" nullable="false" defaultValue="1024">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота контейнера"
		type="java.lang.Integer" nullable="false" defaultValue="768">
	</Attribute>
	<Attribute name="PositionX" description="Положение контейнера по оси Х"
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<Attribute name="PositionY" description="Положение контейнера по оси У"
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
</ClassComponent>